Skip to main content

Compressed/Aggregate Trades List

Aggregated trades differ from raw trades: trades at the same price, side, and time are combined into one record.

HTTP Request

  • GET /api/v3/aggTrades

Weight(IP): 1

Request Parameters

NameTypeMandatoryDescriptionScope
symbolstringYES
startTimelongNOUnix millisecond timestamp to get aggregate trades from INCLUSIVE.
endTimelongNOUnix millisecond timestamp to get aggregate trades until INCLUSIVE.
limitintegerNODefault 500; max 1000.

startTime and endTime must be used at the same time.

Response Parameters

NameDescription
aAggregate tradeId
fFirst tradeId
lLast tradeId
pPrice
qQuantity
TTimestamp
mWas the buyer the maker?
MWas the trade the best price match?

Response

[
{
"a": null,
"f": null,
"l": null,
"p": "46782.67",
"q": "0.0038",
"T": 1641380483000,
"m": false,
"M": true
}
]